# Home

[`Mill.jl`](https://github.com/CTUAvastLab/Mill.jl) is a library built on top of [`Flux.jl`](https://fluxml.ai) aimed to flexibly prototype *hierarchical multi-instance learning* models as described in [Pevny2018a](@cite) and  [Pevny2018b](@cite). It is developed to be:

* **flexible** and **versatile**
* as **general** as possible
* **fast** 
* and dependent on only handful of other packages

Go to

* [Motivation](@ref) for a brief introduction into the philosophy of [`Mill.jl`](https://github.com/CTUAvastLab/Mill.jl)
* [Manual](@ref Nodes) for brief tutorial into [`Mill.jl`](https://github.com/CTUAvastLab/Mill.jl) 
* [Examples](@ref Musk) for some examples of [`Mill.jl`](https://github.com/CTUAvastLab/Mill.jl) use
* [External tools](@ref HierarchicalUtils.jl) to see examples of integration with other packages
* [Public API](@ref Aggregation) for an extensive API reference
* [References](@ref) for related literature
* [Citation](@ref) for preferred citation entry

## Installation

Run the following in REPL:

```julia
] add Mill
```
